package com.tzld.piaoquan.risk.control.service;

import com.tzld.piaoquan.risk.control.common.base.CommonResponse;
import com.tzld.piaoquan.risk.control.model.po.UserBase;
import com.tzld.piaoquan.risk.control.model.qywx.QwCommonResModel;
import com.tzld.piaoquan.risk.control.model.qywx.QwLoginCheckCode;
import com.tzld.piaoquan.risk.control.model.qywx.QwLoginQRCodeModel;

public interface QwLoginService {
    QwCommonResModel<QwLoginQRCodeModel> getLoginQRCode(String vid);
    int checkQRCode(QwLoginCheckCode checkQrcode);
    String getRunClients();
    UserBase checkLogin(String uuid);
    boolean quitLogin(String uuid);
    QwCommonResModel<QwLoginQRCodeModel> secondaryValidation(String uuid);
    boolean automatedLogin(String vid);
}
